import subprocess

from channels.testing.live import ChannelsLiveServerTestCase


class WebsocketTestCase(ChannelsLiveServerTestCase):
    fixtures = ['all.json']

    def test_playwright(self):
        processResult = subprocess.call([
            "env", f"TEST_SERVER={self.live_server_url}",
            "npx", "playwright", "test", "--workers", "1",
        ])
        self.assertEqual(processResult, 0)
